/* error.c */

#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include "locksim.h"

#ifdef _WIN32
#include <conio.h>
#endif

void fatal_error(char *format, ...) {
    va_list argp;
    va_start(argp, format);
    
    fflush(stdout);
    fprintf(stderr, "\n");
    fprintf(stderr, "*** Locksim error: ");
    vfprintf(stderr, format, argp);
    fprintf(stderr, "\n");
    fflush(stderr);
#ifdef _WIN32
    fprintf(stderr, "Press a key to exit Locksim!\n");
    _getch();
#endif
    exit(EXIT_FAILURE);
}
